## org.hibernate.event.internal
Class DirtyCollectionSearchVisitor

    java.lang.Object
      org.hibernate.event.internal.AbstractVisitor
          org.hibernate.event.internal.DirtyCollectionSearchVisitor

    public class DirtyCollectionSearchVisitor

extends AbstractVisitor

Do we have a dirty collection here? 1. if it is a new application-instantiated collection, return true (does not occur anymore!) 2. if it is a component, recurse 3. if it is a wrappered collection, ask the collection entry

Method Summary

Methods inherited from class org.hibernate.event.internal.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.